peicon(1)

Name
peicon — extract icon resources from PE files

Syntax
peicon [-Llv] [-o virtual-shift] file.exe

Description
Extracts the icons from PE files. Icons will be written to files of the name pe-%x:%x.ico, where the first number is the icon group number and the second is the independent icon number.

Options

-L  In addition to extracting icons, list the directory entries from the PE's resource section.

-l  In addition to extracting icons, list the file entries from the PE's resource section.

-o n
    Subtract n from all resource entry offsets. This can be used when the offsets are relative to the mapped base address rather than the file start.

-v  Verbose mode.

See also
hxtools(7)